# ModifyDhcpOptionsSetAttributes

## 1. API Description

This API (ModifyDhcpOptionsSetAttributes) is used to edit the configuration information of a DHCP options set.

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name        | Required | Type   | Description                                                                                                          |
| --------------------- | -------- | ------ | -------------------------------------------------------------------------------------------------------------------- |
| dhcpOptionsSetId      | Yes      | String | DHCP options set ID.                                                                                                 |
| dhcpOptionsSetName    | No       | String | <p>Name of the DHCP options set.</p><p>The length must be between 1 and 64 characters.</p>                           |
| domainNameServers     | No       | String | <p>DNS server IP.</p><p>Up to 4 DNS server IPv4s can be passed in, separated by a comma (,).</p>                     |
| ipv6DomainNameServers | No       | String | <p>DNS server IP.</p><p>Up to 4 DNS server IPv6s can be passed in, separated by a comma (,).</p>                     |
| leaseTime             | No       | String | <p>Lease duration for the IPv4 DHCP options set.</p><p>Unit: h.</p><p>Value range: 24 - 1176 or 87600 - 175200 .</p> |
| ipv6LeaseTime         | No       | String | <p>Lease duration for the IPv6 DHCP options set.</p><p>Unit: h.</p><p>Value range: 24 - 1176 or 87600 - 175200 .</p> |
| description           | No       | String | <p>DHCP options set description information.</p><p>The length is up to 255 characters.</p>                           |

## 3. Output Parameters

| Parameter Name | Type   | Description                                                                                                           |
| -------------- | ------ | --------------------------------------------------------------------------------------------------------------------- |
| requestId      | String | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**Edit configuration information of a DHCP options set.**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: ModifyDhcpOptionsSetAttributes
<Common Request Params>

Request：
{
  "dhcpOptionsSetId": "dhcpOptionsSetId1",
  "dhcpOptionsSetName": "dhcpOptionsSetName1"
}

Response：
{
  "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
  "response": {
    "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3"
  }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](https://docs.console.zenlayer.com/api-reference/api-introduction/toolkit/api-sdk)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](https://docs.console.zenlayer.com/api-reference/api-introduction/instruction/commonerrorcode).

| HTTP Status Code | Error Code                                 | Description                                                  |
| ---------------- | ------------------------------------------ | ------------------------------------------------------------ |
| 400              | INVALID\_DHCP\_OPTIONS\_SET\_IP\_DUPLICATE | Duplicate IP in the DHCP options set.                        |
| 400              | INVALID\_DHCP\_OPTIONS\_SET\_IP\_LIMIT     | The number of IPs in the DHCP options set exceeds the limit. |
| 400              | INVALID\_DHCP\_OPTIONS\_SET\_LEASE\_TIME   | Invalid lease duration format for the DHCP options set.      |
| 404              | INVALID\_DHCP\_OPTIONS\_SET\_NOT\_FOUND    | The DHCP options set is not found.                           |
| 400              | INVALID\_IP\_FORMAT                        | Invalid IP format.                                           |
